Download it now!
Bug 62991 - FILEOPEN existing 3.6.6.1 document: Chart data contents in embedded Calc8 spreadsheet object becomes invisible when EDITING
Summary: FILEOPEN existing 3.6.6.1 document: Chart data contents in embedded Calc8 spr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Embedded
  Show dependency treegraph
 
Reported: 2013-04-01 11:26 UTC by Rainer Bielefeld Retired
Modified: 2019-10-04 03:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (403.69 KB, application/zip)
2013-04-01 11:26 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-04-01 11:26:58 UTC
Created attachment 77273 [details]
Test Kit

I found this during my research for "Bug 62402 - 3D Chart Walls turned 90° clockwise". Probably related?

Steps how to reproduce with parallel Dev-installation of  "Version 4.1.0.0.alpha0+ (Build ID: 049ce78144650d92eb6bd73292868f73d37c901) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-03-29_23:59:42" ENGLISH UI / German Locale on German WIN7 Home Premium (64bit) with LODev/4 Masters User Profile 

0. Download / unzip attached test kit.
1. Open writer.odt from LibO Start center File menu
   > Looks at it should look on page 1, 8 Charts shown
   > Irrelevant on page 2: embedded chart showing Bug 62402
2. double click Calc Ole Object  on page 1
   Expected: charts look similar to view in step 1, can be edited
   Actual: All Data contents has disappeared

Sample document has been created with LibO 3.6.6.1 as following:
a) open "sample3661_Multi.ods"
b) Select charts by <control+mouseclick> one by one 
c) <control+c> for copy
d) Menu 'File -> New -> Writer document
e) Long click on Paste icon in standard toolbar
f) paste as "Calc 8"
g) Save document

Not a problem when I create a writer document with Master 4.1.0 due to a ... g
Comment 1 Rainer Bielefeld Retired 2013-04-01 11:39:45 UTC
Already reproducible with 
* Server installation of  "Version 4.1.0.0.alpha0+ (Build ID: 576da8db5577f84d9c7e0e40ef3e166a7938c98) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-02-11_23:54:45" ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with own separate User Profile
* 4.0.2.2
*  unzipped  installation of  "LOdev  4.0.0.0.alpha1+   -  ENGLISH UI / German Locale  [Build ID: af60316514f3ae3d4c475819bf86f2af837171e)]"  {tinderbox: Win-x86@6, pull time 2012-11-23 22:10:31} on German WIN7 Home Premium (64bit) with own separate User Profile (+ also some different effects)

Was still ok with 
* server-installation of Master "3.7.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: b255de8]" (tinderbox: Win-x86@6-fast, pull time 2012-06-05 23:16:58)

Additional info:
------------------
Server-installation of Master " 3.7.0.0.alpha0+  – ENGLISH UI [Build ID: f2e622]" {tinderbox: Win-x86@16, pull time 2012-10-06 09:31:39} on German WIN7 Home Premium (64bit) UserInstallation=$SYSUSERCONFIG/LOdev/3: 
Here 3d charts already sown without contents when I open the document, but 2d Charts visible and do not disappear. So this effect seems to be different
Comment 2 Rainer Bielefeld Retired 2013-04-01 11:47:03 UTC
REPORT ERROR: Step b bust be "select charts by <SHIFT+mouseclick> one by one"
Comment 3 Jorendc 2013-04-08 15:20:16 UTC
Hi,

Tested using Linux Mint 14 x64 with LibreOffice Version: 4.1.0.0.alpha0+
Build ID: 7b515a57eb6a644860715018656ac0b843b62ba (last commit inside build: Date:   Mon Apr 8 12:19:23 2013 +0200 , so build today)

(In reply to comment #0)
> 2. double click Calc Ole Object  on page 1
>    Expected: charts look similar to view in step 1, can be edited
>    Actual: All Data contents has disappeared

I can confirm this behavior.

> Sample document has been created with LibO 3.6.6.1 as following:
> ...
> Not a problem when I create a writer document with Master 4.1.0 due to a ...
> g

I can't paste the charts in a writer document using master. Nothing happens.

Terminal output:
...
warn:legacy.osl:9157:1:chart2/source/model/main/DataPoint.cxx:186: data point needs a parent property set to provide values correctly
warn:legacy.osl:9157:1:chart2/source/model/main/DataPoint.cxx:186: data point needs a parent property set to provide values correctly
warn:legacy.osl:9157:1:chart2/source/model/main/DataPoint.cxx:186: data point needs a parent property set to provide values correctly
warn:xmloff:9157:1:xmloff/source/style/impastp4.cxx:90: Adding duplicate family graphic with mismatching mapper ! 28XMLShapeExportPropertyMapper 28XMLShapeExportPropertyMapper
warn:xmloff:9157:1:xmloff/source/style/impastp4.cxx:90: Adding duplicate family presentation with mismatching mapper ! 28XMLShapeExportPropertyMapper 28XMLShapeExportPropertyMapper
warn:legacy.osl:9157:1:sax/source/expatwrap/saxwriter.cxx:112: cached Sequence not written

Marking it as NEW because I can confirm the first mentioned behavior. I can't reproduce it from scratch using Master but I can reproduce it using LibreOffice Versie 4.0.2.2 .2.2 (Bouw-id: 4c82dcdd6efcd48b1d8bba66bfe1989deee49c3); Dutch UI;
Comment 4 QA Administrators 2015-03-04 02:21:12 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-22 14:05:31 UTC
Confirmed with attachment 77273 [details].

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:25:04 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:26:29 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2018-09-28 06:41:43 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 8b1501d80dc9d3f42c351c6e026fa737e116cae5
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-22_23:19:22
Locale: de-AT (de_AT); Calc: CL
Comment 9 QA Administrators 2019-10-04 03:06:04 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug